#!/bin/bash

# AndroidForums.com mini-sdk installer
# *nix aware only, invoke as: sh sdk.sh
# If run in Cygwin, removes *nix files
# If run in Linux or OS X:
#   removes Windows files
#   sets access for files needed
#   removes mac or linux files as needed
#   creates softlinks to the actual files
#   adde this mini-sdk to the PATH on login

# EarlyMon May 2013

platform=`uname -s`
here=`pwd | sed 's/ /\\\ /g'`

if [[ "$platform" =~ "CYGWIN"* ]] ; then
  rm -f adb-mac adb-linux fastboot-mac fastboot-linux
else
  rm -f adb.exe Adb*.dll fastboot.exe md5sums.exe
  if [[ "$platform" =~ "Darwin"* ]] ; then
    rm -f adb-linux fastboot-linux
    chmod 755 adb-mac fastboot-mac
    cp -p adb-mac adb
    cp -p fastboot-mac fastboot
    PROF=$HOME/.profile
  else
    rm -f adb-mac fastboot-mac
    chmod 755 adb-linux fastboot-linux
    cp -p adb-linux adb
    cp -p fastboot-linux fastboot
    PROF=$HOME/.bash_profile
  fi
  i=`which adb`
  if [[ -z "$i" ]] ; then
    if [[ -e $PROF  ]] ; then
      fgrep "$here" $PROF | sed 's/^.*://' | sed 's/:.*$//' > sdk.tmp
      i=`fgrep -x "$here" sdk.tmp`
      rm -f sdk.tmp
      if [[ ! -z "$i" ]] ; then
        echo "Mini-SDK already in profile, installation complete."
        exit
      fi
    fi
    echo export PATH='$PATH':$here >> $PROF
    echo "Mini-SDK installation complete."
  else
    echo "Mini-SDK already in path, installation complete."
  fi
fi
